Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Class UI

    java.lang.Object
      de.grogra.pf.registry.Plugin
          de.grogra.pf.ui.UI

All Implemented Interfaces:
  RegistryContext, ResourceConverter

    public final class UI

extends Plugin
implements ResourceConverter

Field Summary
`static I18NBundle` | `I18N`

Fields inherited from interface de.grogra.util.ResourceConverter
`CAT, LINK`

Constructor Summary
`UI()`

Method Summary
`boolean` | `canHandleConversion(java.lang.String name)`
`static Map` | `configureViewerParams(Map params, java.net.URL url, java.lang.String mimeType, RegistryContext ctx)`
`static void` | `consume(java.lang.Object event)`
`java.lang.Object` | `convert(java.lang.String name, java.lang.String argument, I18NBundle bundle)`
`static ProgressMonitor` | `createProgressAdapter(Context ctx)`
`static void` | `dumpCommand(Item item, java.lang.Object info, Context ctx)`
`static void` | `executeHyperlinkURL(java.lang.String url, Context ctx)`
`static void` | `executeLockedly(Lockable resource, boolean write, Command cmd, java.lang.Object arg, Context ctx, int flags)`
`static void` | `executeLockedly(Lockable resource, boolean write, Command cmd, java.lang.Object arg, Context ctx, int flags, boolean passLockAsArg)`
`static StringMap` | `getArgs(Context ctx, Map parent)`
`static java.lang.String` | `getClassDescription(java.lang.Class cls)`
`static java.lang.String[]` | `getDocuments(Map params)`
`static IconSource` | `getIcon(java.lang.String name)`
`static IconSource` | `getIcon(java.lang.String systemId, java.lang.String mimeType, IconSource base, RegistryContext ctx, boolean useDefaultIcon)`
`static JobManager` | `getJobManager(Context ctx)`
`static ModifiableMap` | `getOptions(Context ctx)`
`static Registry` | `getRegistry(Context ctx)`
`static Node` | `getRootOfProjectGraph(Context ctx)`
`static ThreadContext` | `getThreadContext(Context ctx)`
`static UITree` | `getUITreeForMenu(Context ctx, Item menu, Map pipelineParams)`
`static boolean` | `isAvailable(Item i, Context ctx)`
`static boolean` | `isConsumed(java.util.EventObject e)`
`static boolean` | `isEnabled(Item i, Context ctx)`
`static Described` | `nodeToDescribed(UINodeHandler h, java.lang.Object node)`
`static java.awt.Point` | `parsePlainTextLocation(java.lang.String ref)`
`static java.awt.Point[]` | `parsePlainTextRange(java.lang.String ref)`
`static void` | `putDocuments(TextEditor e, ModifiableMap out)`
`static void` | `setField(Node node, PersistenceField field, java.lang.Object value, Context ctx)`
`static void` | `setMenu(Panel panel, Item menu, Map pipelineParams)`
`void` | `startup()` This method is invoked when the plugin is activated, i.e., when the first class defined by the plugin is loaded (except for the Plugin class itself).

Methods inherited from class de.grogra.pf.registry.Plugin
`checkConfigure, getI18NBundle, getPluginDescriptor, getRegistry, initialize, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I18N

    public static final I18NBundle I18N

Constructor Detail

### UI

    public UI()

Method Detail

### canHandleConversion

    public boolean canHandleConversion(java.lang.String name)

  Specified by:
    `canHandleConversion` in interface `ResourceConverter`

### configureViewerParams

    public static Map configureViewerParams(Map params,
                                            java.net.URL url,
                                            java.lang.String mimeType,
                                            RegistryContext ctx)

### consume

    public static void consume(java.lang.Object event)

### convert

    public java.lang.Object convert(java.lang.String name,
                                    java.lang.String argument,
                                    I18NBundle bundle)

  Specified by:
    `convert` in interface `ResourceConverter`

### createProgressAdapter

    public static ProgressMonitor createProgressAdapter(Context ctx)

### dumpCommand

    public static void dumpCommand(Item item,
                                   java.lang.Object info,
                                   Context ctx)

### executeHyperlinkURL

    public static void executeHyperlinkURL(java.lang.String url,
                                           Context ctx)

### executeLockedly

    public static void executeLockedly(Lockable resource,
                                       boolean write,
                                       Command cmd,
                                       java.lang.Object arg,
                                       Context ctx,
                                       int flags)

### executeLockedly

    public static void executeLockedly(Lockable resource,
                                       boolean write,
                                       Command cmd,
                                       java.lang.Object arg,
                                       Context ctx,
                                       int flags,
                                       boolean passLockAsArg)

### getArgs

    public static StringMap getArgs(Context ctx,
                                    Map parent)

### getClassDescription

    public static java.lang.String getClassDescription(java.lang.Class cls)

### getDocuments

    public static java.lang.String[] getDocuments(Map params)

### getIcon

    public static IconSource getIcon(java.lang.String name)

### getIcon

    public static IconSource getIcon(java.lang.String systemId,
                                     java.lang.String mimeType,
                                     IconSource base,
                                     RegistryContext ctx,
                                     boolean useDefaultIcon)

### getJobManager

    public static JobManager getJobManager(Context ctx)

### getOptions

    public static ModifiableMap getOptions(Context ctx)

### getRegistry

    public static Registry getRegistry(Context ctx)

### getRootOfProjectGraph

    public static Node getRootOfProjectGraph(Context ctx)

### getThreadContext

    public static ThreadContext getThreadContext(Context ctx)

### getUITreeForMenu

    public static UITree getUITreeForMenu(Context ctx,
                                          Item menu,
                                          Map pipelineParams)

### isAvailable

    public static boolean isAvailable(Item i,
                                      Context ctx)

### isConsumed

    public static boolean isConsumed(java.util.EventObject e)

### isEnabled

    public static boolean isEnabled(Item i,
                                    Context ctx)

### nodeToDescribed

    public static Described nodeToDescribed(UINodeHandler h,
                                            java.lang.Object node)

### parsePlainTextLocation

    public static java.awt.Point parsePlainTextLocation(java.lang.String ref)

### parsePlainTextRange

    public static java.awt.Point[] parsePlainTextRange(java.lang.String ref)

### putDocuments

    public static void putDocuments(TextEditor e,
                                    ModifiableMap out)

### setField

    public static void setField(Node node,
                                PersistenceField field,
                                java.lang.Object value,
                                Context ctx)

### setMenu

    public static void setMenu(Panel panel,
                               Item menu,
                               Map pipelineParams)

### startup

    public void startup()

  Description copied from class: `Plugin`
  This method is invoked when the plugin is activated, i.e., when the first class defined by the plugin is loaded (except for the Plugin class itself). The default implementation executes all executable items in the directory `/hooks/startup/name`, where `name` is the name of the plugin.

  The method `Plugin.initialize()` has been invoked before. Only if this invocation has returned `true`, the plugin may be activated.

  Overrides:
    `startup` in class `Plugin`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD